<?php

$params = require(__DIR__ . '/params.php');
$db = require(__DIR__ . '/db.php');

$config = [
    'id' => 'basic',
    'basePath' => dirname(__DIR__),
    'bootstrap' => ['log'],
    'language' => 'en',
    'components' => [
        'OtherFunctionsComponent' => [
            'class' => 'app\components\OtherFunctionsComponent',
        ],
        'request' => [
            // !!! insert a secret key in the following (if it is empty) - this is required by cookie validation
            'cookieValidationKey' => 'sT+W=/8@qGL`kARLE.;Z(toGJ?zHb0',
        ],
        'cache' => [
            'class' => 'yii\caching\FileCache',
        ],
/**
 *         'user' => [
 *             'identityClass' => 'app\models\User',
 *             'enableAutoLogin' => true,
 *         ],
 */
        'errorHandler' => [
            'errorAction' => 'user/error',
        ],
        'mailer' => [
            'class' => 'yii\swiftmailer\Mailer',
            // send all mails to a file by default. You have to set
            // 'useFileTransport' to false and configure a transport
            // for the mailer to send real emails.
            'useFileTransport' => false,
            'transport' => [
                  'class' => 'Swift_SmtpTransport',
                  'host' => '',
                  'username' => '',
                  'password' => '',
                  'port' => '587',
                  //'encryption' => 'ssl',
              ],
        ],
        'log' => [
            'traceLevel' => YII_DEBUG ? 3 : 0,
            'targets' => [
                [
                    'class' => 'yii\log\FileTarget',
                    'levels' => ['error', 'warning'],
                ],
            ],
        ],
        'db' => $db,
        'urlManager' => [
            'baseUrl' => 'http://yii.phpbluedragon.eu/',
            'enablePrettyUrl' => true,
            'showScriptName' => false,
            'enableStrictParsing' => true,
            'rules' => [
        		'' => 'page/home',
        		'login' => 'user/login',
        		'register' => 'user/register',
        		'logout' => 'user/logout',
        		'remind-password' => 'user/rempass',
        		'remind-password-set/<UserId:\d+>/<UserHash1:[\w\-]+>/<UserHash2:[\w\-]+>' => 'user/rempassset',
        		'profile' => 'user/profile',
        		'change-password' => 'user/changepassword',
        		'activate/<UserId:\d+>/<UserKey:[\w\-]+>' => 'user/activate',
        		'right' => 'user/right',
        
        		'page/<PageUrl:[\w\-]+>/<PageId:\d+>' => 'page/showone',
        		'page' => 'page/index',
        
        		'article/<ArticleUrl:[\w\-]+>/<ArticleId:\d+>' => 'article/showone',
        		'article' => 'article/index',
        
        		'blog/<BlogUrl:[\w\-]+>/<BlogId:\d+>' => 'blog/showone',
        		'blog' => 'blog/index',
        		'category/<CategoryUrl:[\w\-]+>/<CategoryId:\d+>' => 'blog/category',
        		'hash/<Hash:[\w\-]+>' => 'blog/hash',
        
        		'contact' => 'contact/index',
        
        		'download/<ProgramId:\d+>/<ProgramName:[\w\-\.]+>' => 'download/getprogram',
        		'download' => 'download/index',
        
        		'admin' => 'configadmin/index',
                    
        		'<controller:\w+>/<id:\d+>' => '<controller>/view',
        		'<controller:\w+>/<action:\w+>/<id:\w+>' => '<controller>/<action>',
        		'<controller:\w+>/<action:\w+>' => '<controller>/<action>',
            ],
        ],
        
    ],
    'params' => $params,
];

if (YII_ENV_DEV) {
    // configuration adjustments for 'dev' environment
    $config['bootstrap'][] = 'debug';
    $config['modules']['debug'] = [
        'class' => 'yii\debug\Module',
        //'allowedIPs' => ['83.4.106.220'],
        // uncomment the following to add your IP if you are not connecting from localhost.
        //'allowedIPs' => ['127.0.0.1', '::1'],
    ];

    /*$config['bootstrap'][] = 'gii';
    $config['modules']['gii'] = [
        'class' => 'yii\gii\Module',
        // uncomment the following to add your IP if you are not connecting from localhost.
        //'allowedIPs' => ['127.0.0.1', '::1'],
    ];*/
}

return $config;
