<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
namespace app\controllers;

use Yii;
use yii\web\Controller;
use app\models\Article;
use yii\data\Pagination;

class ArticleController extends Controller
{
    public function actionIndex()
    {
        $model = new Article();
        
        $CountAll = $model->CountAll();
        
        $pagination = new Pagination(['totalCount' => $CountAll, 'pageSize' => 10]);
        
        $SelectArticles = $model->SelectArticles($pagination->offset,$pagination->limit);
        
        return $this->render('article', ['model' => $model, 'SelectArticles' => $SelectArticles, 'pagination' => $pagination]);
    }
    
    public function actionShowone($ArticleUrl,$ArticleId)
    {        
        $model = new Article();
            
        $IsThatPage = $model->SelectOneArticle($ArticleId);
        
        if($IsThatPage)
        {
            return $this->render('showone', ['model' => $model]);
        }
        else
        {
            return $this->render('article-noexists', ['model' => $model]);
        }
    }
}

?>