<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
namespace app\controllers;

use Yii;
use yii\web\Controller;
use app\models\Blog;
use yii\data\Pagination;

class BlogController extends Controller
{
    public function actionIndex()
    {
        $model = new Blog();
        
        $CountAll = $model->CountAll();
        
        $pagination = new Pagination(['totalCount' => $CountAll, 'pageSize' => 10]);
        
        $SelectBlog = $model->SelectBlog($pagination->offset,$pagination->limit);
        
        $SelectCategoryData = $model->SelectCategory();
        
        for($c=0;$c<count($SelectCategoryData);$c++)
        {
            $SelectCategory[$SelectCategoryData[$c]['category_id']] = array('title' => $SelectCategoryData[$c]['category_title'], 'url' => $SelectCategoryData[$c]['category_url']);
        }
        
        return $this->render('blog', ['model' => $model, 'SelectBlog' => $SelectBlog, 'SelectCategory' => $SelectCategory, 'pagination' => $pagination]);
    }
    
    public function actionCategory($CategoryUrl,$CategoryId)
    {
        $model = new Blog();
        
        $CountAll = $model->CountAllCategory($CategoryId);
        
        $pagination = new Pagination(['totalCount' => $CountAll, 'pageSize' => 10]);
        
        $SelectBlog = $model->SelectBlogCategory($pagination->offset,$pagination->limit,$CategoryId);
        
        $SelectCategoryData = $model->SelectCategory();
        
        for($c=0;$c<count($SelectCategoryData);$c++)
        {
            $SelectCategory[$SelectCategoryData[$c]['category_id']] = array('title' => $SelectCategoryData[$c]['category_title'], 'url' => $SelectCategoryData[$c]['category_url']);
        }
        
        $CategoryIs = $SelectCategory[$CategoryId];
        
        return $this->render('category', ['model' => $model, 'CategoryIs' => $CategoryIs, 'SelectBlog' => $SelectBlog, 'SelectCategory' => $SelectCategory, 'pagination' => $pagination]);
    }
    
    public function actionHash($Hash)
    {
        $model = new Blog();
        
        $Hash = urldecode($Hash);
        
        $CountAll = $model->CountAllHash($Hash);
        
        $pagination = new Pagination(['totalCount' => $CountAll, 'pageSize' => 10]);
        
        $SelectBlog = $model->SelectBlogHash($pagination->offset,$pagination->limit,$Hash);
        
        $SelectCategoryData = $model->SelectCategory();
        
        for($c=0;$c<count($SelectCategoryData);$c++)
        {
            $SelectCategory[$SelectCategoryData[$c]['category_id']] = array('title' => $SelectCategoryData[$c]['category_title'], 'url' => $SelectCategoryData[$c]['category_url']);
        }
        
        return $this->render('hash', ['model' => $model, 'Hash' => $Hash, 'SelectBlog' => $SelectBlog, 'SelectCategory' => $SelectCategory, 'pagination' => $pagination]);
    }
    
    public function actionShowone($BlogUrl,$BlogId)
    {        
        $model = new Blog();
        
        $SelectCategoryData = $model->SelectCategory();
        
        for($c=0;$c<count($SelectCategoryData);$c++)
        {
            $SelectCategory[$SelectCategoryData[$c]['category_id']] = array('title' => $SelectCategoryData[$c]['category_title'], 'url' => $SelectCategoryData[$c]['category_url']);
        }
        
        $IsThatPage = $model->SelectOneBlog($BlogId);
        
        if($IsThatPage)
        {
            return $this->render('showone', ['model' => $model, 'SelectCategory' => $SelectCategory]);
        }
        else
        {
            return $this->render('blog-noexists', ['model' => $model]);
        }
    }
}

?>