<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
namespace app\controllers;

use Yii;
use yii\web\Controller;
use app\models\Contact;

class ContactController extends Controller
{
    public function actions()
    {
        return [
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }
    
    public function actionIndex()
    {       
        $model = new Contact(['scenario' => Contact::SCENARIO_CONTACT]);
        
        $ItemToContactListGet = $model->SelectContacts();
        $ItemToContactList = false;
        
        for($QRezult=0;$QRezult<count($ItemToContactListGet);$QRezult++)
        {
            $ItemToContactList[$ItemToContactListGet[$QRezult]['contact_id']] = $ItemToContactListGet[$QRezult]['contact_email'].' - '.$ItemToContactListGet[$QRezult]['contact_name'];
        }

        $FormWasSend = false;
        
        if ($model->load(Yii::$app->request->post()) && $model->validate()) 
        {
            $GetEmail = $model->SelectOneEmail($model->contact_email);
            
            $UserRegisterIp = $_SERVER['REMOTE_ADDR'];
            
            if($model->contact_sendme == true)
            {
                Yii::$app->mailer->compose()
                ->setFrom($model->contact_from)
                ->setTo(array($GetEmail['email'] => $GetEmail['name']))
                ->setCc($model->contact_from)
                ->setSubject($model->contact_title)
                ->setTextBody($model->contact_body.'
                 IP: '.$UserRegisterIp)
                ->send();
            }
            else
            {
                Yii::$app->mailer->compose()
                ->setFrom($model->contact_from)
                ->setTo(array($GetEmail['email'] => $GetEmail['name']))
                ->setSubject($model->contact_title)
                ->setTextBody($model->contact_body."\n".'IP: '.$UserRegisterIp)
                ->send();
            }
            
            $model->contact_email = '';
            $model->contact_from = '';
            $model->contact_title = '';
            $model->contact_body = '';
            $model->contact_captcha = '';
            $model->contact_sendme = '';
            
            $FormWasSend = true;
        }
        
        return $this->render('form', ['model' => $model, 'FormWasSend' => $FormWasSend, 'ItemToContactList' => $ItemToContactList]);
    }
}

?>