<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
namespace app\controllers;

use Yii;
use app\models\Leftmenuadmin;
use app\models\Pageadmin;
use app\models\Blogcategoryadmin;
use app\models\Blogadmin;
use app\models\Articleadmin;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

class LeftmenuadminController extends Controller
{   
    public $layout = 'admin';
    
    public function beforeAction($action) 
    {
        $session = Yii::$app->session;

        if($session['yii_user_id'] != "")
        {
            if($session['yii_user_root'] != "y")
            {
                return $this->redirect(['/right']);
            }
        }
        else
        {
            return $this->redirect(['/login']);
        }
        
        return parent::beforeAction($action);
    }

    public function actionIndex()
    {
        $model = new Leftmenuadmin();
        
        $WasAdded = false;
        $WasPoz = false;
        
        if(Yii::$app->request->post('setpozition') == 'yes')
        {
            Yii::$app->OtherFunctionsComponent->WriteLog(Yii::t('app', 'com_set_menu_poz'));
            
            foreach(Yii::$app->request->post('poz') AS $Key=>$Value)
            {
                $model->SetPozition($Key,$Value);
            }
            
            $WasPoz = true;
        }
         
        if(Yii::$app->request->get('delete') != "")
        {
            Yii::$app->OtherFunctionsComponent->WriteLog(Yii::t('app', 'com_del_menu_element'));
            
            $model->DeleteMenu(Yii::$app->request->get('delete'));
        }
        
        if ($model->load(Yii::$app->request->post()) && $model->validate()) 
        {
            if($model->menu_what == 'pageone')
            {
                $Pages = Pageadmin::find()->where('page_id = :page_id', ['page_id' => $model->menu_content_id])->asArray()->one();
                $model->menu_extra = $Pages['page_url'];
            }
            
            if($model->menu_what == 'blogcategory')
            {
                $Blogcategory = Blogcategoryadmin::find()->where('category_id = :category_id', ['category_id' => $model->menu_content_id])->asArray()->one();
                $model->menu_extra = $Blogcategory['category_url'];
            }
            
            if($model->menu_what == 'blogone')
            {
                $Blog = Blogadmin::find()->where('blog_id = :blog_id', ['blog_id' => $model->menu_content_id])->asArray()->one();
                $model->menu_extra = $Blog['blog_url'];
            }
            
            if($model->menu_what == 'articleone')
            {
                $Article = Articleadmin::find()->where('article_id = :article_id', ['article_id' => $model->menu_content_id])->asArray()->one();
                $model->menu_extra = $Article['article_url'];
            }
            	
            Yii::$app->OtherFunctionsComponent->WriteLog(Yii::t('app', 'com_add_menu_element'));
            
            if($model->menu_extra == null)
            {
                $model->menu_extra = '';
            }
            
            $model->SaveData();
            
            $model->menu_id = "";
            $model->menu_title = "";
            $model->menu_poz = "";
            $model->menu_sub = "";
            $model->menu_login = "";
            $model->menu_what = "";
            $model->menu_content_id = "";
            $model->menu_extra = "";
            
            $WasAdded = true;
        }
        
        $MainAllPages = Leftmenuadmin::find()
        ->where(['menu_sub' => 0])
        ->asArray()
        ->orderBy('menu_poz')
        ->all();
        
        $MainSubPages = Leftmenuadmin::find()
        ->where('menu_sub != 0')
        ->asArray()
        ->orderBy('menu_poz')
        ->all();
        
        $MainPages = Leftmenuadmin::find()
        ->where(['menu_sub' => 0])
        ->asArray()
        ->orderBy('menu_poz')
        ->all();
            
        $MainsTable = array();
        
        for($p=0;$p<count($MainPages);$p++)
        {
            $MainsTable[$MainPages[$p]['menu_id']] = $MainPages[$p]['menu_title'];
        }
        
        $Pages = Pageadmin::find()
        ->asArray()
        ->orderBy('page_id')
        ->all();
    
        $PageTable = array();
        
        for($p=0;$p<count($Pages);$p++)
        {
            $PageTable[$Pages[$p]['page_id']] = $Pages[$p]['page_title'];
        }
        
        $Categories = Blogcategoryadmin::find()
        ->orderBy('category_id')
        ->asArray()
        ->all();
    
        $CategoryTable = array();
        
        for($p=0;$p<count($Categories);$p++)
        {
            $CategoryTable[$Categories[$p]['category_id']] = $Categories[$p]['category_title'];
        }
        
        $Entries = Blogadmin::find()
        ->orderBy('blog_id')
        ->asArray()
        ->all();
    
        $EntriesTable = array();
        
        for($p=0;$p<count($Entries);$p++)
        {
            $EntriesTable[$Entries[$p]['blog_id']] = $Entries[$p]['blog_title'];
        }
        
        $Article = Articleadmin::find()
        ->orderBy('article_id')
        ->asArray()
        ->all();
    
        $ArticlesTable = array();
        
        for($p=0;$p<count($Article);$p++)
        {
            $ArticlesTable[$Article[$p]['article_id']] = $Article[$p]['article_title'];
        }
        
        
        return $this->render('menu', ['model' => $model, 'ArticlesTable' => $ArticlesTable, 'WasPoz' => $WasPoz, 'MainSubPages' => $MainSubPages, 'MainAllPages' => $MainAllPages, 'WasAdded' => $WasAdded, 'PageTable' => $PageTable, 'CategoryTable' => $CategoryTable, 'EntriesTable' => $EntriesTable, 'MainsTable' => $MainsTable]);
    }
}
