<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
namespace app\models;

use Yii;
use yii\base\Model;

class Blog extends Model
{
    public $blog_id;
    public $blog_title;
    public $blog_text;
    public $blog_date;
    public $blog_url;
    public $blog_category;
    public $blog_hashtag;
    
    public static function tableName()
    {
        return '{{%blog}}';
    }
    
    public function CountAll()
    {
        $QueryData = Yii::$app->db->createCommand('SELECT count(blog_id) AS HowManyRecords FROM {{%blog}}')
              ->queryScalar();    
        
        $ToReturn = 0;
        
        if($QueryData != false)
        {
            $ToReturn = $QueryData;
        }
        
        return $ToReturn;
    }
    
    public function CountAllCategory($CategoryId)
    {
        $QueryData = Yii::$app->db->createCommand('SELECT count(blog_id) AS HowManyRecords FROM {{%blog}} WHERE blog_category = :blog_category')
        ->bindParam(':blog_category', $CategoryId)
        ->queryScalar();    
        
        $ToReturn = 0;
        
        if($QueryData != false)
        {
            $ToReturn = $QueryData;
        }
        
        return $ToReturn;
    }
    
    public function CountAllHash($Hash)
    {
        $ReadyHash = '%'.$Hash.'%';
        
        $QueryData = Yii::$app->db->createCommand('SELECT count(blog_id) AS HowManyRecords FROM {{%blog}} WHERE blog_hashtag LIKE :blog_hashtag')
        ->bindParam(':blog_hashtag', $ReadyHash)
        ->queryScalar();    
        
        $ToReturn = 0;
        
        if($QueryData != false)
        {
            $ToReturn = $QueryData;
        }
        
        return $ToReturn;
    }
    
    public function SelectBlog($Start,$Limit)
    {
        $QueryData = Yii::$app->db->createCommand('SELECT * FROM {{%blog}} ORDER BY blog_id DESC LIMIT :start,:limit')
        ->bindParam(':start', $Start)
        ->bindParam(':limit', $Limit)
        ->queryAll();   
              
        return $QueryData;
    }
    
    public function SelectBlogCategory($Start,$Limit, $CategoryId)
    {
        $QueryData = Yii::$app->db->createCommand('SELECT * FROM {{%blog}} WHERE blog_category = :blog_category ORDER BY blog_id DESC LIMIT :start,:limit')
        ->bindParam(':blog_category', $CategoryId)
        ->bindParam(':start', $Start)
        ->bindParam(':limit', $Limit)
        ->queryAll();   
              
        return $QueryData;
    }
    
    public function SelectBlogHash($Start,$Limit, $Hash)
    {
        $ReadyHash = '%'.$Hash.'%';
        
        $QueryData = Yii::$app->db->createCommand('SELECT * FROM {{%blog}} WHERE blog_hashtag LIKE :blog_hashtag ORDER BY blog_id DESC LIMIT :start,:limit')
        ->bindParam(':blog_hashtag', $ReadyHash)
        ->bindParam(':start', $Start)
        ->bindParam(':limit', $Limit)
        ->queryAll();   
              
        return $QueryData;
    }
    
    public function SelectCategory()
    {
        $QueryData = Yii::$app->db->createCommand('SELECT * FROM {{%blog_category}}')
        ->queryAll();   
              
        return $QueryData;
    }
    
    public function SelectOneBlog($BlogId)
    {
        $QueryData = Yii::$app->db->createCommand('SELECT * FROM {{%blog}} WHERE blog_id = :blog_id')
              ->bindParam(':blog_id', $BlogId)
              ->queryOne();    
        
        if($QueryData == false)
        {
            $ToReturn = false;
        }
        else
        {
            $ToReturn = true;
            
            $this->blog_title = $QueryData['blog_title'];
            $this->blog_text = $QueryData['blog_text'];
            $this->blog_date = $QueryData['blog_date'];
            $this->blog_url = $QueryData['blog_url'];
            $this->blog_category = $QueryData['blog_category'];
            $this->blog_hashtag = $QueryData['blog_hashtag'];
        }
        
        return $ToReturn;
    }
    
    public function attributeLabels()
    {
        return [
                'blog_id' => Yii::t('app', 'blog_id'),
                'blog_title' => Yii::t('app', 'blog_title'),
                'blog_text' => Yii::t('app', 'blog_content'),
                'blog_date' => Yii::t('app', 'blog_date'),
                'blog_url' => Yii::t('app', 'blog_url'),
                'blog_category' => Yii::t('app', 'blog_category'),
                'blog_hashtag' => Yii::t('app', 'blog_tag'),
        ];
    }
}
    
?>