<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
namespace app\models;

use Yii;
use yii\base\Model;

class Contact extends Model
{
    public $contact_id;
    public $contact_email;
    public $contact_name;
    public $contact_from;
    public $contact_title;
    public $contact_body;
    public $contact_sendme;
    public $contact_captcha;
    
    public static function tableName()
    {
        return '{{%contact}}';
    }
    
    const SCENARIO_CONTACT = 'contact';
    
    public function scenarios()
    {
        return [
            self::SCENARIO_CONTACT => ['contact_id', 'contact_email', 'contact_name', 'contact_from', 'contact_title', 'contact_body', 'contact_sendme', 'contact_captcha'],
        ];
    }
    
    public function rules()
    {
        return [
            [['contact_from', 'contact_title', 'contact_body', 'contact_captcha'], 'required', 'on' => self::SCENARIO_CONTACT],
            ['contact_from', 'email', 'on' => self::SCENARIO_CONTACT],
            ['contact_captcha', 'captcha', 'captchaAction' => 'user/captcha', 'on' => self::SCENARIO_CONTACT],
            ];
    }
    
    public function SelectContacts()
    {
        $QueryData = Yii::$app->db->createCommand('SELECT * FROM {{%contact}} ORDER BY contact_name ASC')
        ->queryAll();   
              
        return $QueryData;
    }
    
    public function SelectOneEmail($ContactId)
    {
        $QueryData = Yii::$app->db->createCommand('SELECT * FROM {{%contact}} WHERE contact_id = :contact_id')
        ->bindParam(':contact_id', $ContactId)
        ->queryOne();   
              
        $GetEmail['email'] = $QueryData['contact_email'];
        $GetEmail['name'] = $QueryData['contact_name'];
        
        return $GetEmail;
    }
    
    public function attributeLabels()
    {
        return [
                'contact_id' => Yii::t('app', 'contact_id'),
                'contact_email' => Yii::t('app', 'contact_email'),
                'contact_name' => Yii::t('app', 'contact_name'),
                'contact_from' => Yii::t('app', 'contact_from'),
                'contact_title' => Yii::t('app', 'contact_title'),
                'contact_body' => Yii::t('app', 'contact_body'),
                'contact_sendme' => Yii::t('app', 'contact_sendme'),
                'contact_captcha' => Yii::t('app', 'contact_captcha'),
        ];
    }
}
    
?>