<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
namespace app\models;

use Yii;
use yii\base\Model;

class Download extends Model
{
    public $download_id;
    public $download_title;
    public $download_text;
    public $download_file;
    public $download_version;
    public $download_filesize;
    public $download_license;

    public static function tableName()
    {
        return '{{%download}}';
    }
       
    public function SelectDownloads()
    {
        $QueryData = Yii::$app->db->createCommand('SELECT * FROM {{%download}} ORDER BY download_id DESC')
        ->queryAll();   
              
        return $QueryData;
    }
    
    public function SelectOneDownload($ProgramId)
    {
        $QueryData = Yii::$app->db->createCommand('SELECT * FROM {{%download}} WHERE download_id = :download_id')
        ->bindParam(':download_id', $ProgramId)
        ->queryOne();   
              
        return $QueryData;
    }
    
    public function InsertDownloadAction($browserName,$fileDownload,$dateAndTime,$ipClient)
    {
        $QueryData = Yii::$app->db->createCommand('INSERT INTO {{%download_stats}} (stat_browser, stat_file, stat_date, stat_ip) VALUES (:stat_browser, :stat_file, :stat_date, :stat_ip)')
        ->bindParam(':stat_browser', $browserName)
        ->bindParam(':stat_file', $fileDownload)
        ->bindParam(':stat_date', $dateAndTime)
        ->bindParam(':stat_ip', $ipClient)
        ->execute();
    }
    
    public function attributeLabels()
    {
        return [
            'download_id' => Yii::t('app', 'download_id'),
            'download_title' => Yii::t('app', 'download_title'),
            'download_text' => Yii::t('app', 'download_text'),
            'download_file' => Yii::t('app', 'download_file'),
            'download_version' => Yii::t('app', 'download_version'),
            'download_filesize' => Yii::t('app', 'download_filesize'),
            'download_license' => Yii::t('app', 'download_license'),
        ];
    }
}
    
?>